## nvidia-settings-legacy-340xx 340.108

=== doc/Makefile ===
#
# nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (C) 2008-2012 NVIDIA Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses>.
#


##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= ..

include $(UTILS_MK_DIR)/utils.mk


##############################################################################
# The common-utils directory may be in one of two places: either
# elsewhere in the driver source tree when building nvidia-settings as
# part of the NVIDIA driver build (in which case, COMMON_UTILS_DIR
# should be defined by the calling makefile), or directly in the
# source directory when building from the nvidia-settings source
# tarball (in which case, the below conditional assignments should be
# used)
##############################################################################

COMMON_UTILS_DIR      ?= ../src/common-utils


##############################################################################
# assign variables
##############################################################################

MANPAGE_GZIP ?= 1

MANPAGE_gzipped         = $(OUTPUTDIR)/nvidia-settings.1.gz
MANPAGE_not_gzipped 	= $(OUTPUTDIR)/nvidia-settings.1
ifeq ($(MANPAGE_GZIP),1)
  MANPAGE               = $(MANPAGE_gzipped)
else
  MANPAGE               = $(MANPAGE_not_gzipped)
endif
GEN_MANPAGE_OPTS        = $(OUTPUTDIR_ABSOLUTE)/gen-manpage-opts
OPTIONS_1_INC           = $(OUTPUTDIR)/options.1.inc

common_cflags += -I $(COMMON_UTILS_DIR)
common_cflags += -I ../src/libXNVCtrlAttributes

CFLAGS += $(common_cflags)
HOST_CFLAGS += $(common_cflags)

##############################################################################
# build rules
##############################################################################

.PNONY: all install MANPAGE_install clean clobber

all: $(MANPAGE)

install: MANPAGE_install

MANPAGE_install: $(MANPAGE)
	$(MKDIR) $(MANDIR)
	$(INSTALL) $(INSTALL_DOC_ARGS) $< $(MANDIR)/$(notdir $<)

clean clobber:
	rm -rf $(MANPAGE) *~ $(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d \
		$(GEN_MANPAGE_OPTS) $(OPTIONS_1_INC)


##############################################################################
# Documentation
##############################################################################

AUTO_TEXT = ".\\\" WARNING: THIS FILE IS AUTO-GENERATED!  Edit $< instead."

doc: $(MANPAGE)

GEN_MANPAGE_OPTS_SRC  = ../src/gen-manpage-opts.c
GEN_MANPAGE_OPTS_SRC += $(COMMON_UTILS_DIR)/gen-manpage-opts-helper.c

GEN_MANPAGE_OPTS_OBJS = $(call BUILD_OBJECT_LIST,$(GEN_MANPAGE_OPTS_SRC))

$(foreach src, $(GEN_MANPAGE_OPTS_SRC), \
    $(eval $(call DEFINE_OBJECT_RULE,HOST,$(src))))

$(GEN_MANPAGE_OPTS): $(GEN_MANPAGE_OPTS_OBJS)
	$(call quiet_cmd,HOST_LINK) \
	    $(HOST_CFLAGS) $(HOST_LDFLAGS) $(HOST_BIN_LDFLAGS) $^ -o $@

$(OPTIONS_1_INC): $(GEN_MANPAGE_OPTS)
	@$< > $@

$(MANPAGE_not_gzipped): nvidia-settings.1.m4 $(OPTIONS_1_INC) $(VERSION_MK)
	$(call quiet_cmd,M4) \
	  -D__HEADER__=$(AUTO_TEXT) \
	  -D__BUILD_OS__=$(TARGET_OS) \
	  -D__VERSION__=$(NVIDIA_VERSION) \
	  -D__DATE__="`$(DATE) +%F`" \
	  -I $(OUTPUTDIR) \
	  $< > $@

$(MANPAGE_gzipped): $(MANPAGE_not_gzipped)
	$(GZIP_CMD) -9f < $< > $@

=== src/Makefile ===
#
# nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
# and Linux systems.
#
# Copyright (C) 2008-2012 NVIDIA Corporation.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses>.
#


##############################################################################
# include common variables and functions
##############################################################################

UTILS_MK_DIR ?= ..

include $(UTILS_MK_DIR)/utils.mk


##############################################################################
# The calling Makefile may export any of the following variables; we
# assign default values if they are not exported by the caller
##############################################################################

ifndef X_LDFLAGS
  ifeq ($(TARGET_OS)-$(TARGET_ARCH),Linux-x86_64)
    X_LDFLAGS          = -L/usr/X11R6/lib64
  else
    X_LDFLAGS          = -L/usr/X11R6/lib
  endif
endif

X_CFLAGS              ?=

PKG_CONFIG            ?= pkg-config

ifndef GTK_CFLAGS
  GTK_CFLAGS          := $(shell $(PKG_CONFIG) --cflags gtk+-2.0)
endif

ifndef GTK_LDFLAGS
  GTK_LDFLAGS         := $(shell $(PKG_CONFIG) --libs gtk+-2.0)
endif

ifndef VDPAU_CFLAGS
  VDPAU_CFLAGS        := $(shell $(PKG_CONFIG) --cflags vdpau 2> /dev/null)
  ifeq ($(VDPAU_CFLAGS),)
    VDPAU_CFLAGS       = -I /usr/include
  endif
endif

# These will be unused if nvidia-settings links dynamically against jansson
ifndef JANSSON_CFLAGS
  JANSSON_CFLAGS  = -Wno-cast-qual
  JANSSON_CFLAGS += -Wno-strict-prototypes
  JANSSON_CFLAGS += -Wno-unused-function
  JANSSON_CFLAGS += -DHAVE_CONFIG_H
  ifeq ($(TARGET_ARCH),armv7l)
    JANSSON_CFLAGS += -Wno-unused-but-set-variable
  endif
endif

##############################################################################
# The XF86Config-parser, libXNVCtrl, and common-utils directories may
# be in one of two places: either elsewhere in the driver source tree
# when building nvidia-settings as part of the NVIDIA driver build (in
# which case, XNVCTRL_DIR, XNVCTRL_ARCHIVE, XCONFIG_PARSER_DIR,
# COMMON_UTILS_DIR and COMMON_UNIX_DIR should be defined by the calling
# makefile), or directly in the source directory when building from the
# nvidia-settings source tarball (in which case, the below conditional
# assignments should be used)
##############################################################################

XNVCTRL_DIR             ?= libXNVCtrl
XNVCTRL_MAKEFILE        ?= Makefile
XNVCTRL_ARCHIVE         ?= $(XNVCTRL_DIR)/libXNVCtrl.a
XCONFIG_PARSER_DIR      ?= XF86Config-parser
COMMON_UTILS_DIR        ?= common-utils
COMMON_UNIX_DIR         ?= common-unix
VIRTUAL_RESOLUTIONS_DIR ?= $(COMMON_UNIX_DIR)/virtual-resolutions

##############################################################################
# assign variables
##############################################################################

NVIDIA_SETTINGS = $(OUTPUTDIR)/nvidia-settings

NVIDIA_SETTINGS_PROGRAM_NAME = "nvidia-settings"

NVIDIA_SETTINGS_VERSION := $(NVIDIA_VERSION)

CFLAGS += $(X_CFLAGS)

ifeq ($(TARGET_OS),SunOS)
  LDFLAGS += -Wl,-rpath=/usr/X11R6/lib
  LIBS += -lscf
endif

LDFLAGS += $(X_LDFLAGS)

# Some older Linux distributions do not have the dynamic library
# libXxf86vm.so, though some newer Linux distributions do not have the
# static library libXxf86vm.a.  Statically link against libXxf86vm
# when building nvidia-settings within the NVIDIA driver build, but
# dynamically link against libXxf86vm in the public builds.
NV_LINK_LIBXXF86VM_STATICALLY ?= 0

ifneq ($(NV_LINK_LIBXXF86VM_STATICALLY),0)
    LIBS += -Wl,-Bstatic -lXxf86vm -Wl,-Bdynamic
else
    LIBS += -lXxf86vm
endif

# nvidia-settings depends on libjansson >= 2.2.  If NV_USE_BUNDLED_LIBJANSSON is
# set to a non-zero value, then nvidia-settings is linked statically against the
# copy of libjansson bundled in the source tarball; if it is set to 0,
# nvidia-settings is linked dynamically against the copy of libjansson on the
# host system.  By default, nvidia-settings is linked against the bundled copy.
NV_USE_BUNDLED_LIBJANSSON ?= 1

ifeq ($(NV_USE_BUNDLED_LIBJANSSON),0)
    LIBS += -ljansson
endif

# Preferably, we would use pkg-config's "--libs-only-l" and
# "--libs-only-L" options to get separate GTK_LDFLAGS and GTK_LIBS,
# appending them to LDFLAGS and LIBS, respectively.  However, the
# pkg-config(1) man page cautions:
#
#     [...] Note that the union of "--libs-only-l"  and
#     "--libs-only-L"  may be smaller than "--libs", due to flags such
#     as -rdynamic.
#
# So append all of GTK_LDFLAGS to LIBS, so that LIBS can go after
# $(OBJECTS) on the link commandline, causing libraries for linking to
# be named after the objects that depend on those libraries (needed
# for "--as-needed" linker behavior).
LIBS += -lX11 -lXext -lm $(LIBDL_LIBS) $(GTK_LDFLAGS)

# Include all the source lists; dist-files.mk will define NVIDIA_SETTINGS_SRC
include src.mk
SRC        += $(NVIDIA_SETTINGS_SRC)

include $(XCONFIG_PARSER_DIR)/src.mk
SRC        += $(addprefix $(XCONFIG_PARSER_DIR)/,$(XCONFIG_PARSER_SRC))

include $(COMMON_UTILS_DIR)/src.mk
SRC        += $(addprefix $(COMMON_UTILS_DIR)/,$(COMMON_UTILS_SRC))

include $(VIRTUAL_RESOLUTIONS_DIR)/src.mk
SRC        += $(addprefix $(VIRTUAL_RESOLUTIONS_DIR)/,$(VIRTUAL_RESOLUTIONS_SRC))

SRC        += $(STAMP_C)

OBJS        = $(call BUILD_OBJECT_LIST,$(SRC))

CFLAGS     += -I .
CFLAGS     += -I image_data
CFLAGS     += -I $(XNVCTRL_DIR)
CFLAGS     += -I $(XCONFIG_PARSER_DIR)/..
CFLAGS     += -I libXNVCtrlAttributes
CFLAGS     += -I xpm_data
CFLAGS     += -I gtk+-2.x

ifneq ($(NV_USE_BUNDLED_LIBJANSSON),0)
  CFLAGS     += -I jansson
endif

CFLAGS     += -I $(COMMON_UTILS_DIR)
CFLAGS     += -I $(VIRTUAL_RESOLUTIONS_DIR)
CFLAGS     += -I $(OUTPUTDIR)
CFLAGS     += $(VDPAU_CFLAGS)
CFLAGS     += -DPROGRAM_NAME=\"nvidia-settings\"

$(call BUILD_OBJECT_LIST,$(GTK_SRC)): CFLAGS += $(GTK_CFLAGS)

ifneq ($(NV_USE_BUNDLED_LIBJANSSON),0)
  $(call BUILD_OBJECT_LIST,$(JANSSON_SRC)): CFLAGS += $(JANSSON_CFLAGS)
endif


##############################################################################
# build rules
##############################################################################

.PHONY: all install NVIDIA_SETTINGS_install clean clobber build-xnvctrl

all: $(NVIDIA_SETTINGS)

install: NVIDIA_SETTINGS_install

NVIDIA_SETTINGS_install: $(NVIDIA_SETTINGS)
	$(MKDIR) $(BINDIR)
	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(BINDIR)/$(notdir $<)

$(NVIDIA_SETTINGS): $(OBJS) $(XNVCTRL_ARCHIVE)
	$(call quiet_cmd,LINK) $(CFLAGS) $(LDFLAGS) $(BIN_LDFLAGS) -o $@ $(OBJS) \
	    $(XNVCTRL_ARCHIVE) $(LIBS)
	$(call quiet_cmd,STRIP_CMD) $@

# define the rule to build each object file
$(foreach src,$(SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

# define the rule to generate $(STAMP_C)
$(eval $(call DEFINE_STAMP_C_RULE, $(OBJS),$(NVIDIA_SETTINGS_PROGRAM_NAME)))

# define the rule to build $(XNVCTRL_ARCHIVE)
$(XNVCTRL_ARCHIVE): build-xnvctrl

build-xnvctrl:
	@$(MAKE) -C $(XNVCTRL_DIR) -f $(XNVCTRL_MAKEFILE)

clean clobber:
	rm -rf $(NVIDIA_SETTINGS) *~ $(STAMP_C) \
		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d
	@$(MAKE) -C $(XNVCTRL_DIR) -f $(XNVCTRL_MAKEFILE) clean

=== src/libXNVCtrl/Makefile ===
# Copyright (c) 2008 NVIDIA, Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice (including the next
# paragraph) shall be included in all copies or substantial portions of the
# Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.


##############################################################################
# include common variables and functions
##############################################################################

include utils.mk


##############################################################################
# assign variables
##############################################################################

LIBXNVCTRL = libXNVCtrl.a

LIBXNVCTRL_PROGRAM_NAME = "libXNVCtrl"

LIBXNVCTRL_VERSION := $(NVIDIA_VERSION)

CFLAGS += -I .
CFLAGS += -fPIC
CFLAGS += -I $(OUTPUTDIR)
CFLAGS += -DPROGRAM_NAME=\"$(LIBXNVCTRL_PROGRAM_NAME)\"

SRC += NVCtrl.c
SRC += $(STAMP_C)

OBJS = $(call BUILD_OBJECT_LIST,$(SRC))


##############################################################################
# build rules
##############################################################################

.PHONY: clean

all: $(LIBXNVCTRL)

$(LIBXNVCTRL) : $(OBJS)
	$(AR) ru $@ $(OBJS)

# define the rule to build each object file
$(foreach src,$(SRC),$(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

# define the rule to generate $(STAMP_C)
$(eval $(call DEFINE_STAMP_C_RULE, $(OBJS),$(LIBXNVCTRL_PROGRAM_NAME)))

clean:
	rm -rf $(LIBXNVCTRL) *~ $(STAMP_C) \
		$(OUTPUTDIR)/*.o $(OUTPUTDIR)/*.d

## nvidia-settings-legacy-340xx 340.98

=== debian/changelog ===
nvidia-settings-legacy-340xx (340.98-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 11 Nov 2016 17:19:41 +0100

nvidia-settings-legacy-340xx (340.98-1) unstable; urgency=medium

  * New upstream release 340.98.
  * Synchronize packaging with nvidia-settings 340.98-1.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 05 Nov 2016 20:07:20 +0100

nvidia-settings-legacy-340xx (340.93-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 04 Nov 2015 18:43:40 +0100

nvidia-settings-legacy-340xx (340.93-1) unstable; urgency=medium

  * Initial release of nvidia-settings for use with the legacy 340xx driver.
  * Build only a single binary package, no -dev package or shared library.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Oct 2015 18:34:36 +0200

nvidia-settings (340.98-1) unstable; urgency=medium

  * New upstream release 340.98.
  * Convert packaging repository from SVN to GIT.
  * Bump Standards-Version to 3.9.8. No changes needed.
  * Enable more hardening.
  * typos.diff: New, fix some typos found by lintian.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 05 Nov 2016 18:05:10 +0100

nvidia-settings (340.93-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 340.93.
  * d/rules: Make the build reproducible by using deterministic timestamp,
    user and hostname strings to be included in the binary. Based on patch by
    Jérémy Bobbio.  (Closes: #786637)

  [ Luca Boccassi ]
  * Change libxnvctrl0 and libxnvctrl-dev Architecture to any
  * Convert libxnvctrl0 and libxnvctrl-dev to Multi-Arch: same
  * Added myself to Uploaders

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Oct 2015 16:10:43 +0200

nvidia-settings (340.46-2) unstable; urgency=medium

  * d/copyright: Fix patterns and add jansson.
  * 16_gzip-n.diff: New. Use gzip -n to not embed timestamps.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Oct 2014 23:27:05 +0200

nvidia-settings (340.46-1) unstable; urgency=medium

  * New upstream release 340.46.
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 06 Oct 2014 23:54:07 -0700

nvidia-settings (340.32-1) unstable; urgency=medium

  * New upstream release 340.32.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 19 Aug 2014 23:48:23 -0700

nvidia-settings (340.24-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release 340.24.
    - Fixed a bug that caused the "Allow G-SYNC" checkbox to be displayed in
      nvidia-settings even if the GPUs in the system are not capable of G-SYNC.
  * New upstream release 340.17.
    - Updated nvidia-settings to report all valid names for each target
      when querying target types, e.g. `nvidia-settings -q gpus`.
    - Updated the nvidia-settings Makefiles to allow nvidia-settings
      to be dynamically linked against the host system's libjansson.
      This option can be enabled by setting the NV_USE_BUNDLED_LIBJANSSON
      Makefile variable to 0.  Please note that nvidia-settings requires
      libjansson version 2.2 or later.
  * New upstream release 337.25.
    - Fixed a bug that caused duplicate entries to appear in some dropdown
      menus in the "Application Profiles" page of nvidia-setting
  * New upstream release 331.104.
    - Fixed a bug that could cause framelock status to be incorrectly
      reported in the nvidia-settings control panel on some multi-GPU
      framelock configurations.
  * Add myself to Uploaders.
  * Build against system libjansson. (Closes: #745500)
    - Add build-dep on libjansson-dev (>= 2.2).
  * Refresh patches.
  * Upload to unstable.

  [ Andreas Beckmann ]
  * Merge changes from 337.19-1.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 19 Jul 2014 16:57:31 -0700

nvidia-settings (337.19-1) experimental; urgency=medium

  * New upstream release 337.19.
    - Added nvidia-settings command line controls for over- and under-clocking
      attributes.  Please see the nvidia-settings(1) manual page for
      more details.
    - Fixed several cosmetic issues in the clock control user interface
      of nvidia-settings.
  * New upstream release 337.12.
    - Updated the display configuration page in nvidia-settings to uniquely
      identify DisplayPort 1.2 monitors by displaying the monitor GUIDs.
    - Fixed a bug that could cause ECC settings to be displayed incorrectly
      in nvidia-settings when changing ECC settings on a multi-GPU system.
    - Updated the color correction settings page in the nvidia-settings
      control panel to reflect gamma changes made by other RandR clients
      while the control panel was already running.
    - Updated the minimum required version of GTK+ from 2.2 to 2.4 for
      nvidia-settings.
  * Refresh patches 04_link_as-needed, 10_libxnvctrl_so_0, 13_clean.
  * Update symbols control files.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 May 2014 02:25:40 +0200

nvidia-settings (334.21-1) experimental; urgency=medium

  * New upstream release 334.21.
  * New upstream release 334.16.
    - Fixed a bug that could cause nvidia-settings to compute incorrect
      gamma ramps when adjusting the color correction sliders.
    - Updated the nvidia-settings control panel to allow the selection
      of display devices using RandR and target ID names when making
      queries targeted towards specific display devices.
    - Fixed a bug that prevented some dropdown menus in the
      nvidia-settings control panel from working correctly on older
      versions of GTK+ (e.g. 2.10.x).
    - Updated the nvidia-settings control panel to provide help text
      for application profile keys and suggestions for valid key names
      when configuring application profiles.
    - Updated the nvidia-settings control panel to populate the dropdown
      menu of stereo modes with only those modes which are available.


=== debian/control ===
Source: nvidia-settings-legacy-340xx
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Fathi Boudra <fabo@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
 Russ Allbery <rra@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Luca Boccassi <luca.boccassi@gmail.com>,
Build-Depends:
 debhelper (>= 9),
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev (>= 2.4),
 libjansson-dev (>= 2.2),
 libvdpau-dev,
 libxext-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
 dh-exec (>= 0.3),
Build-Conflicts:
 libxnvctrl-dev,
Standards-Version: 3.9.8
Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-settings.git -b 340xx/jessie-backports
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-settings.git

Package: nvidia-settings-legacy-340xx
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 pkg-config,
 ${nvidia-alternative},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-nvidia${nvidia:Legacy}-glx,
Breaks:
 nvidia-alternative (<< 313.30-2),
 nvidia-alternative-legacy-173xx (<< 173.14.37),
 nvidia-alternative-legacy-96xx (<< 96.43.23-4),
Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

## nvidia-settings-legacy-340xx 340.101

=== debian/changelog ===
nvidia-settings-legacy-340xx (340.101-1) unstable; urgency=medium

  * New upstream release 340.101.
  * Switch to debhelper compat level 10, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Jan 2017 05:25:47 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Vincent Cheng <vcheng@debian.org>,
  Luca Boccassi <luca.boccassi@gmail.com>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  m4,
  libgl1-mesa-dev | libgl-dev,
  libgtk2.0-dev (>= 2.4),
@@ -24,7 +24,7 @@
  libxnvctrl-dev,
 Standards-Version: 3.9.8
 Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
-Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-settings.git -b 340xx/jessie-backports
+Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-settings.git -b 340xx/master
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-settings.git
 
 Package: nvidia-settings-legacy-340xx

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export NV_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk

# Redefine DATE to something stable to make the build reproducible
BUILDDATE		:= $(shell dpkg-parsechangelog -S Date)
export DATE		 = date -d "$(BUILDDATE)"
# Cheat for user and hostname
export WHOAMI		 = echo buildd
export HOSTNAME_CMD	 = echo debian

export PREFIX		 = /usr
export DO_STRIP		 =
export STRIP_CMD	 = true
export CC_ONLY_CFLAGS	 = $(CPPFLAGS)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEBUG		 = 1
endif

export NV_USE_BUNDLED_LIBJANSSON = 0

include debian/rules.defs
NVIDIA_LEGACY		?=
NVIDIA_ALTERNATIVE	?= nvidia$(legacy)-alternative
legacy			 = $(if $(NVIDIA_LEGACY),-legacy-$(NVIDIA_LEGACY)xx)
legacy_description	 = $(if $(NVIDIA_LEGACY), ($(NVIDIA_LEGACY)xx legacy version))
nvidia_private		 = nvidia$(if $(legacy),/$(patsubst -%,%,$(legacy)),/current)
watch_version		?= $(NVIDIA_LEGACY)

ALL_CONTROL	:= $(wildcard debian/nvidia-settings.*)
LEGACY_CONTROL	:= $(wildcard debian/nvidia-settings$(legacy).*)
RENAME_CONTROL	 = $(filter-out $(LEGACY_CONTROL),$(ALL_CONTROL))
RENAMED_CONTROL	 = $(patsubst debian/nvidia-settings.%,debian/nvidia-settings$(legacy).%,$(RENAME_CONTROL))
TEMPLATES	:= $(wildcard debian/*.in)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
AUTOKEEP	 = debian/watch
AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))


%:
	dh $@

override_dh_auto_build: $(AUTOGEN)
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	CC_ONLY_CFLAGS="$(CPPFLAGS)" dh_auto_build -O--parallel
	$(MAKE) -C samples

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	install -m 0755 $(wildcard samples/_out/*/nv-control-dpy samples/nv-control-dpy) debian/tmp/usr/bin/
	install -m 0644 $(or $(wildcard doc/nvidia-settings.png),debian/nvidia-settings.png) debian/tmp/nvidia-settings$(legacy).png

override_dh_auto_clean:
	dh_auto_clean
	$(RM) src/libXNVCtrl/libXNVCtrl.a
	[ ! -f src/XF86Config-parser/Makefile ] || $(MAKE) -C src/XF86Config-parser clean
	[ ! -f samples/Makefile ] || $(MAKE) -C samples clean
	$(RM) -r _out */_out
	$(RM) $(AUTOCLEAN)
	$(MAKE) -f debian/rules $(AUTOKEEP)

override_dh_compress:
	dh_compress --exclude=.c --exclude=.mk

override_dh_gencontrol:
	dh_gencontrol -- -V'nvidia:Legacy=$(legacy)' \
		-V'nvidia:LegacyDesc=$(legacy_description)' \
		-V'nvidia-alternative=$(NVIDIA_ALTERNATIVE)'


# Generating control files
debian/%:: debian/%.in debian/rules debian/rules.defs
	perl -p \
		-e 's{#LEGACY#}{$(legacy)}g;' \
		-e 's{#LEGACY_DESC#}{$(legacy_description)}g;' \
		-e 's{#PRIVATE#}{$(nvidia_private)}g;' \
		-e 's{#WATCH_VERSION#}{$(watch_version)}g;' \
		< $< > $@

# Renaming control files for legacy packaging
ifneq (,$(legacy))
nvidia-settings$(legacy).%: nvidia-settings.%
	cp -a $< $@
endif

=== debian/watch ===
version=3
ftp://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-(340.*).tar.(?:gz|bz2)

## nvidia-settings-legacy-340xx 340.107

=== debian/changelog ===
nvidia-settings-legacy-340xx (340.107-2) unstable; urgency=medium

  * Synchronize packaging with nvidia-settings-legacy-390xx 390.87-1.
  * Drop versioned constraints that are satisfied in wheezy.
  * Switch to debhelper-compat (= 12).
  * Bump Standards-Version to 4.3.0. No changes needed.
  * Use dh_missing --fail-missing.
  * Disable dh_dwz.  (See #918903)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Feb 2019 17:02:18 +0100

nvidia-settings-legacy-340xx (340.107-1) unstable; urgency=medium

  * New upstream release 340.107.
  * Use reproducibility patches from upstream.
  * Bump Standards-Version to 4.1.5. No changes needed.
  * Switch to debhelper compat level 11.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Jul 2018 18:37:26 +0200

nvidia-settings-legacy-340xx (340.106-1) unstable; urgency=medium

  * New upstream release 340.106.
  * Synchronize packaging with nvidia-settings 390.25-1.
  * Bump Standards-Version to 4.1.3. No changes needed.
  * Add debian/upstream/metadata.
  * Fix new Lintian issues.
  * Switch Vcs-* URLs to salsa.debian.org.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Mar 2018 18:30:04 +0100

nvidia-settings-legacy-340xx (340.104-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 340.104.
  * 10_libxnvctrl_so_0.diff: Remove, not used for the legacy branches.
  * Synchronize packaging with nvidia-settings 375.82-2.
  * Recommend nvidia-legacy-340xx-vdpau-driver.
  * Resolve xorg libdir at build time.
  * Use GPL notice without FSF street address.
  * Bump Standards-Version to 4.1.1. No changes needed.
  * Use Luca's @debian.org address.
  * Remove Fathi Boudra from Uploaders.  (Closes: #879415)
  * Set Rules-Requires-Root: no.
  * Use dh_missing --list-missing.
  * 13_clean.diff: Remove, fixed upstream since 337.12.
  * Use debian/substvars for substitutions by dpkg-genchanges (dpkg 1.19).
  * Remove support for versions predating 304.xx.
  * Remove Breaks/Replaces against packages older than jessie.

  [ Luca Boccassi ]
  * Add patches to make the build reproducible:
    SOURCE_DATE_EPOCH-for-manpage.patch, SOURCE_DATE_EPOCH-for-STAMP_C.patch
    and dummy-hostname-user-for-STAMP_C.patch
  * Remove workarounds in d/rules for date/user, it is fixed in the
    upstream makefiles.
  * Set build directory to _out/debian to make the build reproducible,
    instead of the upstream default of _out/($uname)_($uname -m).
  * Use https for all URLs.
  * Remove Debian menu system entry, deprecated in favour of Free Desktop
    entry.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Nov 2017 11:52:22 +0100

=== debian/control ===
Source: nvidia-settings-legacy-340xx
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-exec,
 m4,
 libgl1-mesa-dev | libgl-dev,
 libgtk2.0-dev,
 libjansson-dev,
 libvdpau-dev,
 libxext-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config,
 xserver-xorg-dev,
Build-Conflicts:
 libxnvctrl-dev,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b 340xx/master

Package: nvidia-settings-legacy-340xx
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 ${nvidia-alternative},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-nvidia${nvidia:Legacy}-glx,
 nvidia${nvidia:Legacy}-vdpau-driver,
Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

=== debian/watch ===
version=3
https://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-(340.*).tar.(?:gz|bz2)

## nvidia-settings-legacy-340xx 340.108

=== debian/changelog ===
nvidia-settings-legacy-340xx (340.108-7~mx25) mx; urgency=medium

  * Rebuild for MX 25.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 30 Oct 2025 20:39:59 -0700

nvidia-settings-legacy-340xx (340.108-7~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 07 Aug 2023 06:30:31 -0700

nvidia-settings-legacy-340xx (340.108-7) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 14:20:20 +0100

nvidia-settings-legacy-340xx (340.108-6) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1. No changes needed.
  * Bump watch file version to 4. No changes needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jun 2022 08:32:21 +0200

nvidia-settings-legacy-340xx (340.108-5) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add salsa-ci.yml.

  [ Helmut Grohne ]
  * Improve cross building: Pass more build tools to make.  (Closes: #1005958)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Apr 2022 22:36:05 +0200

nvidia-settings-legacy-340xx (340.108-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Update Lintian overrides.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Nov 2020 14:15:22 +0100

nvidia-settings-legacy-340xx (340.108-3) unstable; urgency=medium

  * Use the upstream solution from 440.100 for building with gcc-10.
  * Switch to debhelper-compat (= 13).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 01 Jul 2020 14:19:47 +0200

nvidia-settings-legacy-340xx (340.108-2) unstable; urgency=medium

  * Fix FTBFS with gcc-10.  (Closes: #957618)
  * The bullseye toolchain defaults to linking with --as-needed.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Apr 2020 22:23:29 +0200

nvidia-settings-legacy-340xx (340.108-1~deb10u1) buster; urgency=medium

  * Rebuild for buster.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Feb 2020 23:25:44 +0100

nvidia-settings-legacy-340xx (340.108-1) unstable; urgency=medium

  * New upstream release 340.108.
    - Fixed a bug that could prevent nvidia-xconfig from disabling the X
      Composite extension on version 1.20 of the X.org X server.  (390.116-1)
  * Bump Standards-Version to 4.5.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Feb 2020 22:56:48 +0100

nvidia-settings-legacy-304xx (304.137-3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Update Lintian overrides.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Nov 2020 13:13:29 +0100

nvidia-settings-legacy-304xx (304.137-2) unstable; urgency=medium

  * Synchronize packaging with nvidia-settings 340.106-1/390.25-1.
  * Bump Standards-Version to 4.1.3. No changes needed.
  * Add debian/upstream/metadata.
  * Fix new Lintian issues.
  * Switch Vcs-* URLs to salsa.debian.org.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 11 Mar 2018 08:12:00 +0100

nvidia-settings-legacy-304xx (304.137-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 304.137.
  * typos.diff: Fix more typos found by lintian.
  * Synchronize packaging with nvidia-settings 340.104-1/375.82-2.
  * 10_libxnvctrl_so_0.diff: Remove, not used for the legacy branches.
  * Resolve xorg libdir at build time.
  * Use GPL notice without FSF street address.
  * Bump Standards-Version to 4.1.1. No changes needed.
  * Use Luca's @debian.org address.
  * Remove Fathi Boudra from Uploaders.  (Closes: #879414)
  * Set Rules-Requires-Root: no.
  * Use dh_missing --list-missing.
  * Use debian/substvars for substitutions by dpkg-genchanges (dpkg 1.19).
  * Remove support for versions predating 304.xx.
  * Remove Breaks/Replaces against packages older than jessie.

  [ Luca Boccassi ]
  * Add patches to make the build reproducible:
    SOURCE_DATE_EPOCH-for-manpage.patch, SOURCE_DATE_EPOCH-for-STAMP_C.patch
    and dummy-hostname-user-for-STAMP_C.patch
  * Remove workarounds in d/rules for date/user, it is fixed in the
    upstream makefiles.
  * Set build directory to _out/debian to make the build reproducible,
    instead of the upstream default of _out/($uname)_($uname -m).
  * Use https for all URLs.
  * Remove Debian menu system entry, deprecated in favour of Free Desktop
    entry.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Nov 2017 13:13:56 +0100

nvidia-settings-legacy-304xx (304.134-1) unstable; urgency=medium

  * New upstream release 304.134.
  * Switch to debhelper compat level 10, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Jan 2017 05:41:10 +0100

nvidia-settings-legacy-304xx (304.132-1) unstable; urgency=medium

  * New upstream release 304.132.
  * Synchronize packaging with nvidia-settings 340.98-1:
    - Convert packaging repository from SVN to GIT.
    - Bump Standards-Version to 3.9.8. No changes needed.
    - Enable more hardening.
  * typos.diff: New, fix some typos found by lintian.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 06 Nov 2016 00:11:49 +0100

nvidia-settings-legacy-304xx (304.128-1) unstable; urgency=medium

  * New upstream release 304.128.
  * Synchronize packaging with nvidia-settings 340.93-1:
    - d/rules: Make the build reproducible by using deterministic timestamp,
      user and hostname strings to be included in the binary. Based on patch
      by Jérémy Bobbio.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Oct 2015 17:49:40 +0200

nvidia-settings-legacy-304xx (304.123-2) unstable; urgency=medium

  * Synchronize packaging with nvidia-settings 319.82-1:
    - Add lintian override for gpg signature not provided by upstream.
  * Synchronize packaging with nvidia-settings 340.46-1:
    - Bump Standards-Version to 3.9.6. No changes needed.
  * Synchronize packaging with nvidia-settings 340.46-2:
    - d/copyright: Fix patterns.


=== debian/control ===
Source: nvidia-settings-legacy-340xx
Section: contrib/x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Andreas Beckmann <anbe@debian.org>, Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper-compat (= 13),
               libgl-dev,
               libgtk2.0-dev,
               libjansson-dev,
               libvdpau-dev,
               libxext-dev,
               libxv-dev,
               libxxf86vm-dev,
               m4,
               pkg-config,
               xserver-xorg-dev
Build-Conflicts: libxnvctrl-dev
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://download.nvidia.com/XFree86/nvidia-settings/
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-settings
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-settings.git -b 340xx/main

Package: nvidia-settings-legacy-340xx
Architecture: amd64 armhf i386
Pre-Depends: nvidia-installer-cleanup
Depends: libgl1-nvidia${nvidia:Legacy}-glx,
         nvidia${nvidia:Legacy}-vdpau-driver,
         ${misc:Depends},
         ${nvidia-alternative},
         ${shlibs:Depends}
Description: tool for configuring the NVIDIA graphics driver${nvidia:LegacyDesc}
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.

=== debian/rules ===
--- 
+++ 
@@ -7,18 +7,17 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/buildflags.mk
+DPKG_EXPORT_BUILDTOOLS=1
+include /usr/share/dpkg/buildtools.mk
 
-# Redefine DATE to something stable to make the build reproducible
-BUILDDATE		:= $(shell dpkg-parsechangelog -S Date)
-export DATE		 = date -d "$(BUILDDATE)"
-# Cheat for user and hostname
-export WHOAMI		 = echo buildd
-export HOSTNAME_CMD	 = echo debian
+PKG_CONFIG_XORG_XSERVER_LIBDIR	 = $(shell pkg-config --variable=libdir xorg-server)
+CPPFLAGS		+= -DPKG_CONFIG_XORG_XSERVER_LIBDIR='\"$(PKG_CONFIG_XORG_XSERVER_LIBDIR)\"'
 
 export PREFIX		 = /usr
 export DO_STRIP		 =
-export STRIP_CMD	 = true
 export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
+# reproducible builds: instead of _out/$(uname)_($uname -m) use a fixed directory
+export OUTPUTDIR	 = _out/debian
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 export DEBUG		 = 1
@@ -41,6 +40,7 @@
 TEMPLATES	:= $(wildcard debian/*.in)
 AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
 AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
+AUTOGEN		+= debian/substvars
 AUTOKEEP	 = debian/watch
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
 
@@ -55,25 +55,29 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
-	install -m 0755 $(wildcard samples/_out/*/nv-control-dpy samples/nv-control-dpy) debian/tmp/usr/bin/
-	install -m 0644 $(or $(wildcard doc/nvidia-settings.png),debian/nvidia-settings.png) debian/tmp/nvidia-settings$(legacy).png
+	install -m 0755 samples/$(OUTPUTDIR)/nv-control-dpy debian/tmp/usr/bin/
+	install -m 0644 doc/nvidia-settings.png debian/tmp/nvidia-settings$(legacy).png
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	$(RM) src/libXNVCtrl/libXNVCtrl.a
-	[ ! -f src/XF86Config-parser/Makefile ] || $(MAKE) -C src/XF86Config-parser clean
-	[ ! -f samples/Makefile ] || $(MAKE) -C samples clean
-	$(RM) -r _out */_out
+	$(RM) src/libXNVCtrl/libXNVCtrl.so*
+	$(MAKE) -C samples clean
+	$(RM) -r doc/_out samples/_out src/_out src/libXNVCtrl/_out
 	$(RM) $(AUTOCLEAN)
 	$(MAKE) -f debian/rules $(AUTOKEEP)
-
-override_dh_compress:
-	dh_compress --exclude=.c --exclude=.mk
 
 override_dh_gencontrol:
 	dh_gencontrol -- -V'nvidia:Legacy=$(legacy)' \
 		-V'nvidia:LegacyDesc=$(legacy_description)' \
 		-V'nvidia-alternative=$(NVIDIA_ALTERNATIVE)'
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
+# used by dpkg-genchanges
+debian/substvars:
+	echo 'nvidia:LegacyDesc=$(legacy_description)' > $@
 
 
 # Generating control files

=== debian/watch ===
version=4
https://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-(340.*).tar.(?:gz|bz2)
